<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net6.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="update.cs" />
    <Compile Remove="Wcs\FlowPoint.cs" />
    <Compile Remove="Wcs\OutWarePoint.cs" />
    <Compile Remove="Wcs\SecondFloor.cs" />
    <Compile Remove="Wcs\UpLine.cs" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="HtmlAgilityPack" Version="1.11.54" />
    <PackageReference Include="Jc.SnowId" Version="1.0.2" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Khd.Core.Application\Khd.Core.Application.csproj" />
    <ProjectReference Include="..\Khd.Core.Domain\Khd.Core.Domain.csproj" />
    <ProjectReference Include="..\Khd.Core.EntityFramework\Khd.Core.EntityFramework.csproj" />
    <ProjectReference Include="..\Khd.Core.Library\Khd.Core.Library.csproj" />
    <ProjectReference Include="..\Khd.Core.Plc\Khd.Core.Plc.csproj" />
    <ProjectReference Include="..\Khd.Core.Thrift\Khd.Core.Thrift.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="appsettings.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="NLog.config">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

  <ItemGroup>
    <Folder Include="PLCHelper\" />
  </ItemGroup>

  <ItemGroup>
    <Using Include="Khd.Core.Plc" />
  </ItemGroup>

</Project>
